import json
import re
import time

with open('regexes.json', 'r') as f:
    rx = [re.compile(r) for r in json.load(f)]

with open('useragents.txt', 'r') as f:
    lines = list(f)

t0 = time.perf_counter_ns()
for l in lines:
    _ = next((m for r in rx if (m := r.search(l))), None)
t = time.perf_counter_ns() - t0

print(f"{len(lines)} lines in {t/1e9:.1f}s")
print(f"\t{(t/1000)/len(lines):.1f} us/line")
